﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;

namespace DDD
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        void App_Startup(object sender, StartupEventArgs e)
        {
            MainWindow mainWindow = new MainWindow();

            if (e.Args.Length > 0)
            {
                string FirstArgument = e.Args[0].ToString();
				int port;
				if (int.TryParse(FirstArgument,out port))
				{
					mainWindow.port=port;
				}
                else if (FirstArgument == "/s" || FirstArgument == "/S" || FirstArgument == "-s" || FirstArgument == "-S")
                {
                    mainWindow.simulationMode = true;
                }
            }

            mainWindow.Show();
        }
    }
}
